### Function

# GLibUnix FDSourceFunc

#### Declaration

    gboolean
    (* GUnixFDSourceFunc) (
      gint fd,
      GIOCondition condition,
      gpointer user_data
    )

#### Description

The type of functions to be called when a UNIX fd watch source triggers.

#### Parameters

`fd`

  Type: `gint`

  The fd that triggered the event.

`condition`

  Type: `GIOCondition`

  The IO conditions reported on `fd`.

`user_data`

  Type: `gpointer`

  User data passed to g_unix_fd_add().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` if the source should be removed.